<gui>
	<modalframe id="progress" childwindowsystem="skin" style="blank" layout="growVert" resizable="false">
        <details>
            <shape image="../images/shape.png" adapttowindowsize="true">
                <scaleMargins left="8" top="8" right="8" bottom="8"/>
            </shape>
        </details>
    
		<canvas layout="layer" doublebuffer="true" horzGrow="0" vertGrow="0" id="canvas" _window-caption="40">		
			<!-- Background Layer -->
			<textfield _skin="auxWindowBackgroundSmallNoHead" id="topDecoration" horzGrow="1" vertGrow="1"/>
            
            <paddedlayoutgroup text="xL" heightchars="0.7" layout="growVert" horzGrow="1" vertGrow="1">			
                <space height="20"/>
                <textarea id="text" horzGrow="1" vertGrow="0"/>
                <space heightchars="0.5"/>
                <progressbar id="progressBar" horzGrow="1" vertGrow="0" barHeightFactor="1.5"/>
                <space heightchars="0.5"/>
                <progressbar id="itemProgressBar" horzGrow="1" vertGrow="0" barHeightFactor="1.5"/>
                <space heightchars="0.5"/>                
                
            </paddedlayoutgroup>
            
            <layoutgroup layout="growVert" horzGrow="1" vertGrow="1">
                <space vertGrow="1"/>
                <layoutgroup layout="growHorz" horzGrow="1" vertGrow="0">
                        <space horzGrow="1"/>
                        <button windowsystem="default" id="cancelButton" textid="ainet.global.cancelButton" text="Cancel" _skin="standardButton"/>
                        <space horzGrow="1"/>
                </layoutgroup>		
                <space heightchars="1"/>
            </layoutgroup>
            
		</canvas>
	</modalframe>
</gui>